﻿@*@model IEnumerable<RaamatukoguAPP11.Eksemplar>*@
@model PagedList.IPagedList<RaamatukoguAPP11.Eksemplar>
@using PagedList;
@using PagedList.Mvc;
@*<link href="~/Content/PagedList.css" rel="stylesheet" type="text/css" />*@
@*<link href="~/Content/bootstrap.css" rel="stylesheet" type="text/css" />*@


@{
    ViewBag.Title = "MinuRaamatud";
}

<h2>Minu raamatute nimekiri</h2>

<p>
    @Html.ActionLink("Sisesta uus raamat", "Create")
</p>
@using (Html.BeginForm("Index", "Eksemplars", FormMethod.Get))
{
    <p>
        Otsi raamatut selle tiitli, autori või kategooria järgi: @Html.TextBox("searching", ViewBag.CurrentFilter as string)
        <input type="submit" value="Otsi" />
    </p>
}
<table class="table">
    <tr>
        @*<th>
                @Html.DisplayNameFor(model => model.Raamat.Isbn)
            </th>*@

        <th>
            @*@Html.DisplayNameFor(model => model.Raamat.Tiitel)*@
            @Html.ActionLink("Tiitel", "Index", new { sortOrder = ViewBag.TiitliSort, currentFilter = ViewBag.CurrentFilter })
        </th>

        <th>
            @*@Html.DisplayNameFor(model => model.Raamat.Autor)*@
            @Html.ActionLink("Autor", "Index", new { sortOrder = ViewBag.AutoriSort, currentFilter = ViewBag.CurrentFilter })
        </th>

        <th>
            @*@Html.DisplayNameFor(model => model.Raamat.Pilt)*@
            Pilt
        </th>

        <th>
            @*Kategooria*@
            @Html.ActionLink("Kategooria", "Index", new { sortOrder = ViewBag.KategooriaSort, currentFilter = ViewBag.CurrentFilter })
        </th>

        <th>
            Sildid
        </th>

        <th>
            @*@Html.DisplayNameFor(model => model.Kapp)*@
            Kapp
        </th>
        <th>
            @*@Html.DisplayNameFor(model => model.Riiul)*@
            Riiul
        </th>
        <th>
            @*@Html.DisplayNameFor(model => model.Saadaval)*@
            Saadaval
        </th>
        <th>
            Hoidja
        </th>
        <th>
            Asukoha kommentaar
        </th>

        @*<th>
                Omanik
            </th>*@
        <th></th>
    </tr>

    @foreach (var item in Model)
    {
        <tr>
            @*<td>
                    @Html.DisplayFor(modelItem => item.Raamat.Isbn)
                </td>*@
            <td>
                @Html.DisplayFor(modelItem => item.Raamat.Tiitel)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Raamat.Autor)
            </td>

            <td>
                <img src='@Url.Action( "RaamatuPilt", "Raamats", new { id = item.Raamat.Kood } )' height="100" />
            </td>

            <td>
                @Html.DisplayFor(modelItem => item.Raamat.Kategooria.Kategooria1)
            </td>

            <td>
                @foreach (EksemplariSilt es in item.EksemplariSilt.Where(x => x.SildiKood != 0))
                {
                    <div>
                        @es.Silt.Silt1
                    </div>
                }
            </td>

            <td>
                @Html.DisplayFor(modelItem => item.Kapp)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Riiul)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.KasSaadaval)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.KasutajaH.Email)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.AsukohaKommentaar)
            </td>

            @*<td>
                    @Html.DisplayFor(modelItem => item.KasutajaO.Email)
                </td>*@

            <td>
                @Html.ActionLink("Muuda", "Edit", new { id = item.Kood })<br />
                @Html.ActionLink("Vaata", "Details", new { id = item.Kood })<br />
                @Html.ActionLink("Kustuta", "Delete", new { id = item.Kood })
            </td>

            @*<td nowrap>
                    @Html.ActionLink("Muuda", "Edit", new { id = item.Kood }) |
                    @Html.ActionLink("Vaata", "Details", new { id = item.Kood }) |
                    @Html.ActionLink("Kustuta", "Delete", new { id = item.Kood })
                </td>*@
        </tr>
    }

</table>

Page @(Model.PageCount < Model.PageNumber ? 0 : Model.PageNumber) of @Model.PageCount

@Html.PagedListPager(Model,page => Url.Action("Index", new { page, sortOrder = ViewBag.CurrentSort, currentFilter = ViewBag.CurrentFilter }))

@*@Html.PagedListPager(Model,
    page => Url.Action("Index", new { page, sortOrder = ViewBag.CurrentSort, currentFilter = ViewBag.CurrentFilter }),
    new PagedListRenderOptions { UlElementClasses = new[] { "pagination pagination-sm" } })*@

@*<nav class="pager">
        <ul class="pagination pagination-sm">

            <li class="page-item disabled">
                <a class="page-link" href="#">&laquo;</a>
            </li>
            <li class="page-item active">
                <a class="page-link" href="#">1</a>
            </li>
            <li class="page-item">
                <a class="page-link" href="#">2</a>
            </li>
            <li class="page-item">
                <a class="page-link" href="#">3</a>
            </li>
            <li class="page-item">
                <a class="page-link" href="#">4</a>
            </li>
            <li class="page-item">
                <a class="page-link" href="#">5</a>
            </li>
            <li class="page-item">
                <a class="page-link" href="#">&raquo;</a>
            </li>
        </ul>
    </nav>*@
